diff --git a/src/dblib/unittests/t0017.c b/src/dblib/unittests/t0017.c
index 4b12456..afb510b 100644
--- a/src/dblib/unittests/t0017.c
+++ b/src/dblib/unittests/t0017.c
@@ -6,7 +6,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: t0017.c,v 1.28 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0017.c,v 1.29 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int failed = 0;
@@ -68,14 +68,14 @@ main(int argc, char *argv[])
 	printf("done\n");
 
 	printf("Creating table ... ");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
 	}
 	printf("done\n");
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -89,7 +89,7 @@ main(int argc, char *argv[])
 	printf("done\n");
 
 	printf("Issuing SELECT ... ");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	printf("done\nFetching metadata ... ");
 	if (dbresults(dbproc) != FAIL) {
@@ -132,7 +132,7 @@ main(int argc, char *argv[])
 	printf("%d rows copied\n", rows_copied);
 
 	/* delete rows */
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -148,7 +148,7 @@ main(int argc, char *argv[])
 	printf("done\n");
 
 	printf("Issuing SELECT ... ");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	printf("done\nFetching metadata ... ");
 	if (dbresults(dbproc) != FAIL) {
@@ -194,7 +194,7 @@ main(int argc, char *argv[])
 
 	/* test we inserted correctly row */
 	if (!failed) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) != NO_MORE_RESULTS) {
 			while ((ret=dbnextrow(dbproc)) != NO_MORE_ROWS) {
diff --git a/src/dblib/unittests/t0018.c b/src/dblib/unittests/t0018.c
index 6f5febc..b1ca8ca 100644
--- a/src/dblib/unittests/t0018.c
+++ b/src/dblib/unittests/t0018.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0018.c,v 1.20 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0018.c,v 1.21 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -55,7 +55,7 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -63,7 +63,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "insert\n");
 	for (i = 0; i < rows_to_add; i++) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) != NO_MORE_RESULTS) {
 			/* nop */
@@ -76,7 +76,7 @@ main(int argc, char **argv)
 	}
 
 	fprintf(stdout, "select\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
@@ -166,7 +166,7 @@ main(int argc, char **argv)
 		exit(1);
 	}
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
diff --git a/src/dblib/unittests/t0020.c b/src/dblib/unittests/t0020.c
index 90e0ec0..083eb22 100644
--- a/src/dblib/unittests/t0020.c
+++ b/src/dblib/unittests/t0020.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0020.c,v 1.17 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0020.c,v 1.18 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -66,7 +66,7 @@ main(int argc, char **argv)
 	dbloginfree(login);
 	add_bread_crumb();
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	fprintf(stderr, "The following invalid column error is normal.\n");
 
 	expected_error = 207;
@@ -79,7 +79,7 @@ main(int argc, char **argv)
 		exit(1);
 	}
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	ret = dbsqlexec(dbproc);
 	if (ret != SUCCEED) {
 		failed = 1;
diff --git a/src/dblib/unittests/t0022.c b/src/dblib/unittests/t0022.c
index 7a258b7..0ddc8d4 100644
--- a/src/dblib/unittests/t0022.c
+++ b/src/dblib/unittests/t0022.c
@@ -6,7 +6,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: t0022.c,v 1.26 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0022.c,v 1.27 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -56,7 +56,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "Dropping proc\n");
 	add_bread_crumb();
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	add_bread_crumb();
 	dbsqlexec(dbproc);
 	add_bread_crumb();
@@ -72,7 +72,7 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	fprintf(stdout, "creating proc\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	if (dbsqlexec(dbproc) == FAIL) {
 		add_bread_crumb();
 		fprintf(stdout, "Failed to create proc t0022.\n");
@@ -88,7 +88,7 @@ main(int argc, char **argv)
 
 	sprintf(cmd, "declare @b int\nexec t0022 @b = @b output\n");
 	fprintf(stdout, "%s\n", cmd);
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
@@ -157,7 +157,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "Dropping proc\n");
 	add_bread_crumb();
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	add_bread_crumb();
 	dbsqlexec(dbproc);
 	add_bread_crumb();
@@ -170,7 +170,7 @@ main(int argc, char **argv)
 	 */
 	
 	fprintf(stdout, "Dropping proc t0022a\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 
 	dbsqlexec(dbproc);
 
@@ -185,7 +185,7 @@ main(int argc, char **argv)
 	assert(erc == NO_MORE_RESULTS);
 
 	fprintf(stdout, "creating proc t0022a\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	if (dbsqlexec(dbproc) == FAIL) {
 		fprintf(stdout, "Failed to create proc t0022a.\n");
 		exit(1);
@@ -198,7 +198,7 @@ main(int argc, char **argv)
 		assert(erc == NO_MORE_ROWS);
 	}
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 
 	for (i=1; (erc = dbresults(dbproc)) != NO_MORE_RESULTS; i++) {
@@ -232,7 +232,7 @@ main(int argc, char **argv)
 	assert(erc == NO_MORE_RESULTS);
 	
 	fprintf(stdout, "Dropping proc t0022a\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
diff --git a/src/dblib/unittests/t0023.c b/src/dblib/unittests/t0023.c
index 3ec2afc..3c03537 100644
--- a/src/dblib/unittests/t0023.c
+++ b/src/dblib/unittests/t0023.c
@@ -6,7 +6,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: t0023.c,v 1.15 2009/02/05 08:49:45 freddy77 Exp $";
+static char software_version[] = "$Id: t0023.c,v 1.16 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -59,7 +59,7 @@ main(int argc, char *argv[])
 	add_bread_crumb();
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
@@ -67,34 +67,34 @@ main(int argc, char *argv[])
 
 	fprintf(stdout, "insert\n");
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
 	}
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
 	}
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
 	}
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
 	}
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
 	}
 
 	fprintf(stdout, "select\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
diff --git a/src/dblib/unittests/text_buffer.c b/src/dblib/unittests/text_buffer.c
index f0e2d20..9662ca4 100644
--- a/src/dblib/unittests/text_buffer.c
+++ b/src/dblib/unittests/text_buffer.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: text_buffer.c,v 1.5 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: text_buffer.c,v 1.6 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -59,19 +59,19 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
 	}
 
 	fprintf(stdout, "insert\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
 	}
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
diff --git a/src/dblib/unittests/timeout.c b/src/dblib/unittests/timeout.c
index 2431d0c..1551cb6 100644
--- a/src/dblib/unittests/timeout.c
+++ b/src/dblib/unittests/timeout.c
@@ -7,7 +7,7 @@
 #include "common.h"
 #include <time.h>
 
-static char software_version[] = "$Id: timeout.c,v 1.6 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: timeout.c,v 1.7 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int ntimeouts = 0, ncancels = 0;
@@ -159,7 +159,7 @@ main(int argc, char **argv)
 	}
 	printf ("issuing a query that will take 30 seconds\n");
 
-	if (FAIL == sql_cmd(dbproc, INPUT)) {
+	if (FAIL == sql_cmd(dbproc)) {
 		fprintf(stderr, "Failed: dbcmd\n");
 		exit(1);
 	}

